<!doctype html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
</head>
<body id="body">
    <h1>TODO LIST</h1>

<ul id="liste_courses">
</ul>
<div id="add_todo">
  <input type="text" id="todo_input">
  <button id="add">+</button>
</div>
<script>
    var listeToDo = []
    
     
    function addTask(taskText){
      listeToDo.push(taskText)
    }
    function removeTask(taskIndex){
          // delete listeToDo[2]
      listeToDo.splice(taskIndex,1)
    }
    function displayTasks(){
      var taskListElement = document.getElementById('liste_courses')
      taskListElement.innerHTML = ''
      for (task of listeToDo) {
        var taskElement = createTaskElement(task)
        taskListElement.appendChild(taskElement)
      }
    }
  
    function createTaskElement(task, taskListElement){
      var taskElement = document.createElement("li")
      var buttonElement = document.createElement("button")
  
      buttonElement.addEventListener("click", function (){
        var taskIndex = listeToDo.indexOf(task)
        console.log(taskIndex, task);
        removeTask(taskIndex)
        displayTasks()
      })
  
  
      buttonElement.innerHTML = "-"
      buttonElement.style.cssText = 'border-radius : 5px; padding:2px 10px 2px 10px; margin: 0 0 0 20px;';
      taskElement.innerHTML = task
      taskElement.appendChild(buttonElement)
      return taskElement
    }
  
    document.getElementById('add').addEventListener('click', function (){
      var newTask = document.getElementById('todo_input').value
      document.getElementById('todo_input').value = ""
      addTask(newTask)
      displayTasks()
    })
  </script>
</body>
</html>
